CVE-2004-0367
CVSS5.0
发布时间 :2004-05-04 00:00:00
修订时间 :2016-10-17 22:44:44
NMCO    

[原文]Ethereal 0.10.1 to 0.10.2 allows remote attackers to cause a denial of service (crash) via a zero-length Presentation protocol selector.


[CNNVD]Ethereal多重漏洞(CNNVD-200405-033)

        Ethereal 0.10.1到0.10.2版本存在漏洞。远程攻击者借助零长度 Presentation protocol selector导致服务拒绝(崩溃)。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:ethereal_group:ethereal:0.8.19
cpe:/a:ethereal_group:ethereal:0.10.2
cpe:/a:ethereal_group:ethereal:0.10.1
cpe:/a:ethereal_group:ethereal:0.9.2
cpe:/a:ethereal_group:ethereal:0.9.1
cpe:/a:ethereal_group:ethereal:0.9.10
cpe:/a:ethereal_group:ethereal:0.9.6
cpe:/a:ethereal_group:ethereal:0.9.11
cpe:/a:ethereal_group:ethereal:0.9.5
cpe:/a:ethereal_group:ethereal:0.9.4
cpe:/a:ethereal_group:ethereal:0.10
cpe:/a:ethereal_group:ethereal:0.9.3
cpe:/a:ethereal_group:ethereal:0.8.13
cpe:/a:ethereal_group:ethereal:0.9.14
cpe:/a:ethereal_group:ethereal:0.8.14
cpe:/a:ethereal_group:ethereal:0.9.15
cpe:/a:ethereal_group:ethereal:0.9.9
cpe:/a:ethereal_group:ethereal:0.9.12
cpe:/a:ethereal_group:ethereal:0.9.8
cpe:/a:ethereal_group:ethereal:0.9
cpe:/a:ethereal_group:ethereal:0.9.13
cpe:/a:ethereal_group:ethereal:0.9.7
cpe:/a:ethereal_group:ethereal:0.8.18
cpe:/a:ethereal_group:ethereal:0.9.16

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:905Red Hat Enterprise 3 Ethereal Denial of Service via 0-Length Presentation Protocol Selector
oval:org.mitre.oval:def:880Red Hat Ethereal Denial of Service via 0-Length Presentation Protocol Selector
oval:org.mitre.oval:def:11071Ethereal 0.10.1 to 0.10.2 allows remote attackers to cause a denial of service (crash) via a zero-length Presentation protocol selector.
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0367
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0367
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200405-033
(官方数据源) CNNVD

- 其它链接及资源

http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000835
(VENDOR_ADVISORY)  CONECTIVA  CLA-2004:835
http://marc.info/?l=bugtraq&m=108058005324316&w=2
(UNKNOWN)  BUGTRAQ  20040329 LNSA-#2004-0007: Multiple security problems in Ethereal
http://security.gentoo.org/glsa/glsa-200403-07.xml
(UNKNOWN)  GENTOO  GLSA-200403-07
http://www.ethereal.com/appnotes/enpa-sa-00013.html
(UNKNOWN)  CONFIRM  http://www.ethereal.com/appnotes/enpa-sa-00013.html
http://www.ethereal.com/lists/ethereal-dev/200404/msg00296.html
(UNKNOWN)  MLIST  [Ethereal-dev] 20040416 Possibly incorrect CVE entry CAN-2004-0367
http://www.kb.cert.org/vuls/id/792286
(UNKNOWN)  CERT-VN  VU#792286
http://www.mandriva.com/security/advisories?name=MDKSA-2004:024
(UNKNOWN)  MANDRAKE  MDKSA-2004:024
http://www.redhat.com/support/errata/RHSA-2004-136.html
(UNKNOWN)  REDHAT  RHSA-2004:136
http://www.redhat.com/support/errata/RHSA-2004-137.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2004:137
http://xforce.iss.net/xforce/xfdb/15570
(VENDOR_ADVISORY)  XF  ethereal-zero-presentation-dos(15570)

- 漏洞信息

Ethereal多重漏洞
中危 未知
2004-05-04 00:00:00 2005-10-20 00:00:00
远程※本地  
        Ethereal 0.10.1到0.10.2版本存在漏洞。远程攻击者借助零长度 Presentation protocol selector导致服务拒绝(崩溃)。

- 公告与补丁

        The vendor has released version 0.10.3 to address these issues.
        SGI have released an advisory (20040402-01-U) and a patch to address these issues in SGI ProPack version 2.3 and 2.4. The vendor has advised that customers apply this patch as soon as possible. Further details regarding obtaining and applying an appropriate patch can be found in the referenced advisory. Patch is linked below.
        Gentoo have released an advisory (GLSA 200403-07) and updates to address these issues. Gentoo users are advised to upgrade to current packages by emerging the updated packages as follows:
        # emerge sync
        # emerge -pv ">=net-analyzer/ethereal-0.10.3"
        # emerge ">=net-analyzer/ethereal-0.10.3"
        Netwosix Linux has released advisory LNSA-#2004-0007 dealing with these issues. Please see the referenced advisory for more information.
        RedHat Enterprise Linux has released advisory RHSA-2004:136-09 dealing with this issue. Please see the referenced advisory for more information and details on obtaining fixes.
        RedHat has released advisory RHSA-2004:137-01 dealing with this issue. Please see the referenced advisory for more information and details on obtaining fixes.
        Mandrake has released an advisory that includes updates for this issue.
        Conectiva has released an advisory CLSA-2004:835 to address these issues. Please see the advisory in web references for more details.
        OpenPKG has released advisory OpenPKG-SA-2004.015 and an update dealing with this issue. Please see below for the update, and the referenced advisory for more information.
        SGI has released an advisory (20040506-01-U) with Patch 10075 for SGI
        ProPack 3 to address these and other issues. Please see the referenced
        advisory for more information.
        Debian has released advisory DSA 511-1 to address this issue. It is noted that CAN-2004-0176 partially affects Debian woody and CAN-2004-0367/CAN-2004-0365 do not affect the distribution at all. Please see the attached advisory for more details on obtaining fixes.
        RedHat has released a Fedora legacy advisory (FLSA:1840) to address various issues in Ethereal. This advisory fixes these issues in Red Hat Linux 7.3 and 9 running on the i386 architecture. Please see the referenced advisory for more details and information about obtaining fixes.
        Ethereal Group Ethereal 0.10
        
        Ethereal Group Ethereal 0.10.1
        
        Ethereal Group Ethereal 0.10.2
        
        Ethereal Group Ethereal 0.8.13
        
        Ethereal Group Ethereal 0.8.14
        
        Ethereal Group Ethereal 0.8.18
        
        Ethereal Group Ethereal 0.8.19
        
        Ethereal Group Ethereal 0.9
        
        Ethereal Group Ethereal 0.9.1
        
        Ethereal Group Ethereal 0.9.10
        
        Ethereal Group Ethereal 0.9.11
        
        Ethereal Group Ethereal 0.9.12
        
        Ethereal Group Ethereal 0.9.13
        
        Ethereal Group Ethereal 0.9.14
        
        Ethereal Group Ethereal 0.9.15
        
        Ethereal Group Ethereal 0.9.16
        
        Ethereal Group Ethereal 0.9.2
        

- 漏洞信息

4462
Ethereal Presentation Protocol Selector DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Unknown

- 漏洞描述

Ethereal contains a flaw that may allow a remote denial of service. The issue is triggered by using a zero-length presentation protocol selector, and will result in loss of availability for the application. No further details have been provided.

- 时间线

2004-03-22 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.10.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站